Un preventivo, con le voci
curl --request GET \
--url https://api.dentalspace.ai/v1/treatment-plans/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dentalspace.ai/v1/treatment-plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dentalspace.ai/v1/treatment-plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"facilityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "draft",
"totalCost": 123,
"presentedAmount": 123,
"presentedAt": "<string>",
"acceptedAmount": 123,
"acceptedAt": "<string>",
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cost": 123,
"status": "<string>",
"priority": 0,
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooth": 0,
"surface": "<string>",
"treatmentArea": "<string>",
"diagnosisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"odontogramType": "<string>",
"toothData": {},
"diagnoses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooth": 0,
"issueType": "<string>",
"issueCategory": "<string>",
"treatmentArea": "<string>",
"surfaces": [
"<string>"
],
"severity": "<string>",
"note": "<string>",
"status": "<string>"
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Preventivi
Un preventivo, con le voci
Scope: treatment_plans:read.
Con lo scope clinical:read anche denti, superfici, odontogramma e diagnosi (e l’accesso finisce nel registro).
GET
/
treatment-plans
/
{id}
Un preventivo, con le voci
curl --request GET \
--url https://api.dentalspace.ai/v1/treatment-plans/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dentalspace.ai/v1/treatment-plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dentalspace.ai/v1/treatment-plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"facilityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "draft",
"totalCost": 123,
"presentedAmount": 123,
"presentedAt": "<string>",
"acceptedAmount": 123,
"acceptedAt": "<string>",
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cost": 123,
"status": "<string>",
"priority": 0,
"doctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooth": 0,
"surface": "<string>",
"treatmentArea": "<string>",
"diagnosisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"odontogramType": "<string>",
"toothData": {},
"diagnoses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooth": 0,
"issueType": "<string>",
"issueCategory": "<string>",
"treatmentArea": "<string>",
"surfaces": [
"<string>"
],
"severity": "<string>",
"note": "<string>",
"status": "<string>"
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identificativo della risorsa.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Response
Il preventivo.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Available options:
draft, proposed, standby, accepted, rejected, in_progress, completed Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Show child attributes
Show child attributes
Solo con clinical:read.
Solo con clinical:read.
Show child attributes
Show child attributes
Solo con clinical:read.
Show child attributes
Show child attributes